%global momorel 1
%global pythonver 2.6.1-1m
%global svn_date 20080214
%global use_svn 0

Summary:        OpenGL window and compositing manager.
Name:           ccsm
Version:        0.9.2.1
%if %{use_svn}
Release:        0.%{svn_date}.%{momorel}m%{?dist}
%else
Release: 	%{momorel}m%{?dist}
%endif
License:        GPL
Group:          User Interface/Desktops
URL:            http://www.compiz-fusion.org/
%if %{use_svn}
Source:         %{name}-%{version}-%{svn_date}.tar.bz2
%else
Source0: http://releases.compiz.org/%{version}/%{name}-%{version}.tar.bz2 
NoSource: 0
%endif

Patch1:		ccsm-0.6.99-path_fix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       compizconfig-python
Requires:       compizconfig-backend-gconf
BuildRequires:	gtk+-devel, compiz-core-devel >= %{version}
BuildRequires:	libcompizconfig-devel >= %{version}, compizconfig-python >= %{version}
BuildRequires:	python-devel >= %{pythonver}

%description
Beryl is a fork of Compiz.
Compiz is an OpenGL compositing manager that use
GLX_EXT_texture_from_drawable for binding redirected top-level windows
to texture objects. It has a flexible plug-in system and it is designed
to run well on most graphics hardware.

%prep
%if %{use_svn}
%setup -q -n %{name}
%else
%setup -q
%endif
%patch1 -p1 -b .prefix

%build

make PREFIX=/usr
# python setup.py build --prefix=/usr

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

make PREFIX=%{buildroot}/usr install

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/*
##%%{_libdir}/python2.6/site-packages/ccsm-*.egg-info
/usr/lib/python2.6/site-packages/ccsm-*.egg-info
##%%{_libdir}/python2.6/site-packages/ccm/*
/usr/lib/python2.6/site-packages/ccm/*
%{_datadir}/ccsm/images/*
%{_datadir}/ccsm/icons/*
%{_datadir}/icons/*/*/apps/ccsm.*
%{_datadir}/applications/ccsm.desktop
%{_datadir}/locale/*/LC_MESSAGES/ccsm.mo

%changelog
* Tue Nov  9 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.9.2.1-1m)
- update 0.9.2.1

* Tue Oct 26 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.9.2-1m)
- update 0.9.2

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.0-3m)
- full rebuild for mo7 release

* Wed Aug 11 2010 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.9.0-2m)
- revived prefix-path patch

* Sun Jul  4 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.9.0-1m)
- update 0.9.0

* Sat Apr 24 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.8.4-3m)
- use BuildRequires

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.8.4-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Tue Oct 20 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.8.4-1m)
- update 0.8.4

* Sun Aug 30 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.8.2-3m)
- fix BuildRequires

* Mon Jul 27 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.2-2m)
- change BPR libcompizconfig to libcompizconfig-devel

* Mon Apr  6 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.8.2-1m)
- update 0.8.2

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.7.8-3m)
- rebuild against rpm-4.6

* Wed Dec 31 2008 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.7.8-2m)
- rebuild against python-2.6.1-1m

* Sun Oct 12 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.7.8-1m)
- update 0.7.8

* Wed Jun 11 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.7.6-2m)
- add Requires: compizconfig-backend-gconf for /usr/lib/compizconfig/backends/libgconf.so

* Sun Jun  1 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.7.6-1m)
- update 0.7.6

* Wed Apr 30 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.7.4-3m)
- restrict python ver-rel for egginfo

* Sat Apr 26 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (0.7.4-2m)
- enable egg-info

* Sun Apr  6 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.7.4-1m)
- update 0.7.4

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.7.2-2m)
- rebuild against gcc43

* Fri Mar  7 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.7.2-1m)
- update 0.7.2

* Sat Mar  1 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.99-0.20080214.4m)
- Provides, Obsolutes ccs-settings

* Tue Feb 19 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.99-0.20080214.3m)
- revival patch1

* Sun Feb 17 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.6.99-0.20080214.2m)
- modify %%files (release %%{_datadir}/icons/hicolor)

* Sat Feb 16 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.99-0.20080214.1m)
- update 0.6.99-20080214

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.0-2m)
- %%NoSource -> NoSource

* Tue Oct 23 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.0-1m)
- update 0.6.0-release

* Mon Oct 22 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.0-0.3m)
- update ja.po

* Sat Oct 20 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.0-0.2m)
- fix icon path

* Fri Oct 19 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.0-0.1m)
- update 0.6.0

* Tue Aug 21 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.2-2m)
- update ja.po

* Wed Aug 15 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.2-1m)
- update 0.5.2

* Sat Aug  4 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070801.3m)
- update ja.po

* Sat Aug  4 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070801.2m)
- fix icon path problem
- cleanup spec

* Wed Aug  1 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070801.1m)
- update 20070801
-- add ja.po

* Mon Jul 30 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070730.1m)
- update 20070730

* Tue Jul 17 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070717.1m)
- update 20070717

* Fri Jul  6 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070706.1m)
- update 20070706

* Thu Jun 21 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070621.1m)
- update 20070621

* Tue Jun 12 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070612.1m)
- update 20070612

* Sun Jun  3 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070603.1m)
- update 20070603

* Fri May 25 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070524.1m)
- update 20070524

* Sun May 20 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070519.1m)
- remove BuildReq: beryl-core

* Sat May 19 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.1-0.20070519.1m)
- initial commit

